Subject: Re: [PATCH] t/unit-tests: update clar to fcbed04

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Sep 2025 09:08:35 -0700

Patrick Steinhardt <[email-masked]> writes:

> Junio, I was wondering whether we also want to do this similarly to how
> you handle the gitk/git-gui pull requests. I ultimately don't mind it
> much though, so I'm also happy to do this with "normal" patch series.

I do not think the "git merge -Xsubtree=$directory $URL" merges have
givem us much benefit as we originally hoped.  Even though we have
full history of the other projects' theoretically, digging something
out of that history has not been as seamless process as it could.  I
always ended up doing things in a two-step fashion, i.e.

 (1) ask "log --first-parent" the last commit that touched the
     -Xsubtree=$directory, then

 (2) dig from the second parent of that commit.  This is another
     reason why I do not like to *move* the -Xsubtree=$directory
     without a good rationale.

So I wouldn't particularly recommend it.

Thanks.